import request from '@/utils/request'

// 查询编码申请列表
export function listApply(query) {
  return request({
    url: '/apply/apply/list',
    method: 'get',
    params: query
  })
}

// 查询编码申请详细
export function getApply(id) {
  return request({
    url: '/apply/apply/' + id,
    method: 'get'
  })
}

// 新增编码申请
export function addApply(data) {
  return request({
    url: '/apply/apply',
    method: 'post',
    data: data
  })
}

// 修改编码申请
export function updateApply(data) {
  return request({
    url: '/apply/apply',
    method: 'put',
    data: data
  })
}

// 删除编码申请
export function delApply(id) {
  return request({
    url: '/apply/apply/' + id,
    method: 'delete'
  })
}

// 导出编码申请
export function exportApply(query) {
  return request({
    url: '/apply/apply/export',
    method: 'get',
    params: query
  })
}